import random
from os import system, name
from time import sleep

def clear():
  
    #windows
    if name == 'nt':
        _ = system('cls')
  
    #mac and linux
    else:
        _ = system('clear')

class color:
   PURPLE = '\033[95m'
   CYAN = '\033[96m'
   DARKCYAN = '\033[36m'
   BLUE = '\033[94m'
   GREEN = '\033[92m'
   YELLOW = '\033[93m'
   RED = '\033[91m'
   BOLD = '\033[1m'
   UNDERLINE = '\033[4m'
   END = '\033[0m'

gameChoice = None

print(''' _       __     __                             __           __  __  
| |     / /__  / /________  ____ ___  ___     / /_____     / /_/ /_  ___ 
| | /| / / _ \/ / ___/ __ \/ __ `__ \/ _ \   / __/ __ \   / __/ __ \/ _ \

| |/ |/ /  __/ / /__/ /_/ / / / / / /  __/  / /_/ /_/ /  / /_/ / / /  __/
|__/|__/\___/_/\___/\____/_/_/_/ /_/\___/   \__/\____/_  \__/_/ /_/\___/ 
   / | / /__ _      __   /   |  ______________ _____/ /__                
  /  |/ / _ \ | /| / /  / /| | / ___/ ___/ __ `/ __  / _ \               
 / /|  /  __/ |/ |/ /  / ___ |/ /  / /__/ /_/ / /_/ /  __/               
/_/ |_/\___/|__/|__/  /_/  |_/_/   \___/\__,_/\__,_/\___/                
    ____  ________  ________  ____  / /______                            
   / __ \/ ___/ _ \/ ___/ _ \/ __ \/ __/ ___/                            
  / /_/ / /  /  __(__  )  __/ / / / /_(__  ) _ _                         
 / .___/_/   \___/____/\___/_/ /_/\__/____(_|_|_)                        
/_/                                                                      
''')

sleep(3)

clear()

print('''   ______                        ________            _   __                __             
  / ____/_  _____  __________   /_  __/ /_  ___     / | / /_  ______ ___  / /_  ___  _____
 / / __/ / / / _ \/ ___/ ___/    / / / __ \/ _ \   /  |/ / / / / __ `__ \/ __ \/ _ \/ ___/
/ /_/ / /_/ /  __(__  |__  )    / / / / / /  __/  / /|  / /_/ / / / / / / /_/ /  __/ /    
\____/\__,_/\___/____/____/    /_/ /_/ /_/\___/  /_/ |_/\__,_/_/ /_/ /_/_.___/\___/_/     ''')

sleep(1)

print("\n\nCreated by New Arcade")

sleep(1)

print("newarcade.cc")

sleep(1)

input("\nPress enter to play. ")

clear()

loop = None


print(color.BOLD + "Gamemode Select" + color.END)

gameChoice = input('''Press 1 to play Classic Mode.
Press 2 to play Hard Mode.
Press 3 to play Custom Mode.
Press 4 to play Progress Mode.

''')

clear()

if gameChoice == "1":

  while loop != "0":
    
    print(color.BOLD + "Classic Mode" + color.END)
    
    print(f"I'm thinking of a number between 1 and 100.")
    print(f"You have five guesses.\n")

    attemptsLeft = 5
    tries = 1
    randomNumber = random.randint(1, 100)
    guess = int(input("Take a guess: "))
    
    while guess != randomNumber and attemptsLeft > 1:
        attemptsLeft -= 1
    
        if guess > randomNumber:
          print("\nLower...")
        
        else:
          print("\nHigher...")
        
        guess = int(input(f"{attemptsLeft} attempts left. Take a guess: "))
    
        tries += 1
    
    if guess == randomNumber:
      print(f"\nYou guessed it! The number was {randomNumber}.")
      print(f"And it only took you {tries} tries!")
    
    elif attemptsLeft >= 0:
      print(f"\nYou ran out of attempts! The number was {randomNumber}. Consider actually trying next time.")
    
    input("\n\nPress the enter key to play again.")
  
    clear()

if gameChoice == "2":

  while loop != "0":
    
    print(color.BOLD + "Hard Mode" + color.END)
    
    print(f"I'm thinking of a number between 1 and 1000.")
    print(f"You have seven guesses.\n")

    attemptsLeft = 7
    tries = 1
    randomNumber = random.randint(1, 1000)
    guess = int(input("Take a guess: "))
    
    while guess != randomNumber and attemptsLeft > 1:
        attemptsLeft -= 1
    
        if guess > randomNumber:
          print("\nLower...")
        
        else:
          print("\nHigher...")
        
        guess = int(input(f"{attemptsLeft} attempts left. Take a guess: "))
    
        tries += 1
    
    if guess == randomNumber:
      print(f"\nYou guessed it! The number was {randomNumber}.")
      print(f"And it only took you {tries} tries!")
    
    elif attemptsLeft >= 0:
      print(f"\nYou ran out of attempts! The number was {randomNumber}. Consider actually trying next time.")
    
    input("\n\nPress the enter key to play again.")
  
    clear()

if gameChoice == "3":

  while loop != "0":
  
    print(color.BOLD + "Custom Mode" + color.END)
  
    limit = int(input("What would you like the maximum possible number to be? "))
  
    attemptsLeft = int(input("How many guesses would you like to have? "))
  
    clear()
    
    print(color.BOLD + "Custom Mode" + color.END)
    
    print(f"I'm thinking of a number between 1 and {limit}.")
    print(f"You have {attemptsLeft} guesses.\n")
    
    tries = 1
    randomNumber = random.randint(1, limit)
    guess = int(input("Take a guess: "))
    
    while guess != randomNumber and attemptsLeft > 1:
        attemptsLeft -= 1
    
        if guess > randomNumber:
          print("\nLower...")
        
        else:
          print("\nHigher...")
        
        guess = int(input(f"{attemptsLeft} attempts left. Take a guess: "))
    
        tries += 1
    
    if guess == randomNumber:
      print(f"\nYou guessed it! The number was {randomNumber}.")
      print(f"And it only took you {tries} tries!")
    
    elif attemptsLeft >= 0:
      print(f"\nYou ran out of attempts! The number was {randomNumber}. Consider actually trying next time.")
    
    input("\n\nPress the enter key to play again.")
  
    clear()


if gameChoice == "4":

  progress = 5
  while loop != "0":

    randomNumber = random.randint(1, 100)
    
    print(color.BOLD + "Progress Mode" + color.END)
    
    print(f"I'm thinking of a number between 1 and {progress}.")
    print(f"You have five guesses.\n")

    attemptsLeft = 5
    tries = 1
    randomNumber = random.randint(1, progress)
    guess = int(input("Take a guess: "))
    
    while guess != randomNumber and attemptsLeft > 1:
        attemptsLeft -= 1
    
        if guess > randomNumber:
          print("\nLower...")
        
        else:
          print("\nHigher...")
        
        guess = int(input(f"{attemptsLeft} attempts left. Take a guess: "))
    
        tries += 1
    
    if guess == randomNumber:
      print(f"\nYou guessed it! The number was {randomNumber}.")
      print(f"And it only took you {tries} tries!")
      progress = progress + 5
      input("\n\nPress the enter key to move on to the next level.")
    
    elif attemptsLeft >= 0:
      print(f"\nYou ran out of attempts! The number was {randomNumber}. Consider actually trying next time.")
      progress = 5
      input("\n\nPress the enter key to start again.")
  
    clear()